Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06845 Gameplay Minor Always Jan 16, 2018, 07:24 Jan 17, 2018, 07:06
Tester einstein95 View Status Public Platform MAME (Self-compiled)
Assigned To Tafoid Resolution Fixed OS Linux (64-bit)
Status [?] Resolved Driver sms.cpp
Version 0.193 Fixed in Version 0.194 Build 64-bit
Summary MESS-specific 06845: gamegear [shinfrc2]: corrupt tiles on first in-game textbox, corrupt audio when loading save
Description When starting the game, a couple bugs are evident off the bat. When loading a game and the girl with the book says "Please read the story to me.", the audio starts playing random notes. In the first textbox in-game, there are corrupt tiles (from videos of gameplay this should read "NICK").
Steps To Reproduce (Audio) From the main menu, load or create a new save.

(Text) At the start of a new game, read the first textbox.
Additional Information My speculation is core timing bugs throwing off the game's decompression routine or other things.

Youtube video showing gameplay on console. (title screen at 5m mark)
Flags
Regression Version 0.149
Affected Sets / Systems gamegear [shinfrc2]
Attached Files
png file icon 0002.png (4,375 bytes) Jan 16, 2018, 07:24 Uploaded by einstein95
First instance of corrupt tiles
einstein95
png file icon shining force ii - the sword of hajya (usa, europe)000.png (2,931 bytes) Jan 16, 2018, 08:16 Uploaded by einstein95
What it's meant to show
einstein95
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.14670
Tafoid
Administrator
Jan 16, 2018, 10:15
I did some research on this earlier when it was shouted on bannister.org shoutbox. Regression is 0.149 - specifically - appears to be work done on May 23, 2013 related to nvram handling for gamegear/sega master system. I, too, thought it was something cpu throwing things into the weeds, but I then noticed that in testing loading the game picker style via the -cart selection allows the game to function correctly so it would appear the XML is not allocating enough RAM/NVRAM for the process when running via softlist.

https://github.com/mamedev/mame/commit/5477d4ded39f81ec1be32ac20568552dc05650df
User avatar
No.14671
einstein95
Tester
Jan 16, 2018, 12:12
edited on: Jan 16, 2018, 12:19
Thanks Tafoid. Did a quick check and changed it to 32768 and it fixes this regression.

EDIT: According to http://www.digital-circuitry.com/GameGear_Carts.htm the Japanese version uses a KM62256BLG-10L chip for RAM which gives 32Kx8 standard SRAM.
User avatar
No.14672
Haze
Senior Tester
Jan 16, 2018, 19:47
sounds like it should be changed to 32K for all the Shining Force 2 sets then, guess somebody put in the wrong data.
User avatar
No.14673
Osso
Developer
Jan 17, 2018, 07:06
guess SMS Power was the source. It's listed as 24KB there: http://www.smspower.org/Games/ShiningForceGaidenII-GG